Parse an uploaded cloud license file
Parses an uploaded cloud license file to extract and validate its contents. Use this to review the license details before applying it.
HTTP method and endpoint
POST /vsa/working-environments/parse-license-file
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
filename |
string |
header |
False |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
formData |
True |
||
formDataMap |
True |
||
parts |
array[InputPart] |
True |
|
preamble |
string |
False |
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
contractEndDate |
False |
||
license |
string |
True |
|
serialNumber |
string |
False |
Example error response
{
"license": "string",
"serialNumber": "string"
}
Definitions
See Definitions
headers Hash mapping strings to array[string]
parameters Hash mapping strings to string
mediaType
| Name | Type | Required | Description |
|---|---|---|---|
parameters |
True |
||
subtype |
string |
False |
|
type |
string |
True |
|
wildcardSubtype |
boolean |
False |
|
wildcardType |
boolean |
False |
InputPart
| Name | Type | Required | Description |
|---|---|---|---|
bodyAsString |
string |
False |
|
contentTypeFromMessage |
boolean |
True |
|
headers |
True |
||
mediaType |
True |
formData Hash mapping strings to InputPart
formDataMap Hash mapping strings to array[InputPart]
contractEndDate